/**
 *		Ajax Controller - Constructor
 * 
 * 		Handles all AJAX requests. 
 */
function AjaxController(url, method, callback) {
	this.url = url;
	if(method == null)
		this.method = 'GET';
	else
		this.method = method;
	var ajax;
	if(window.XMLHttpRequest) {
		// Newer browsers
		ajax = new XMLHttpRequest();
	} else {
		ajax = new ActiveXObject("Microsoft.XMLHTTP");
	}
	
	
	// Send request
	ajax.open(this.method, this.url, true);
	ajax.send();
	
	// Handle repsonse
	ajax.onreadystatechange = function() {
		if (ajax.readyState == 4 && ajax.status == 200){
			if(callback != null)
				callback(JSON.parse(ajax.responseText));
		}
	}
	
}
