/**
 *		Localstorage Controller - Literal
 * 
 * 		Handles all local storage from the photoviewer.
 */
var LocalstorageController = {
	getViews : function(url) {
		if(this.hasLocalStorage()) {
			if(localStorage.getItem(url) !== null) {
				return localStorage.getItem(url);
			} else {
				return 0;
			}
		} else {
			return 0;
		}
	},
	addView : function(url) {
		if(this.hasLocalStorage()) {
			if(localStorage.getItem(url) !== null) {
				var views = localStorage.getItem(url);
				localStorage.setItem(url, (parseInt(views)+1));
			} else {
				localStorage.setItem(url, 1);
			}
		} else {
			return;
		}
	},
	hasLocalStorage : function() {
	try {
        localStorage.setItem('test', 'test');
        localStorage.removeItem('test');
        return true;
      } catch(e) {
        return false;
      }

	}
	
}