/**
 * 		Photo Model  - Constructor
 * 		@param {String} url contains the URL to the Photo.
 * 		@param {String} name contains the name of the Photo.
 * 		@param {String} date contains the date of the Photo.
 * 		@param {String} desc contains the description of the Photo.
 *   	@param {String} author contains the name of the maker.
 */
function Photo(url, name, date, desc, author, type) {
	this.image = new Image();
	this.image.src = url;
	this.image.alt = name;
	this.name = name;
	this.date = new Date(date);
	this.desc = desc;
	this.author = author;
	this.type = type;
		
	this.dutchTime = function() {
		var dutchFormat;
		
		var month = this.date.getMonth() + 1;
		var day = this.date.getDate();
		var year = this.date.getFullYear();
		var hours = this.date.getHours();
		var minutes = this.date.getMinutes();
		
		dutchFormat = day + '-' + month + '-' + year + ' ' + hours + ':' + minutes;
		
		return dutchFormat;
	};
	
	this.addView = function() {
		LocalstorageController.addView(this.image.src);
	};
	
	this.getViews = function() {
		return LocalstorageController.getViews(this.image.src);
	};
}