/**
 *		Gateway Controller - Literal
 * 
 * 		Handles all requests to the backend for the Photos. 
 */
var GatewayController = {
	request : undefined,
	loadPhotos : function(){
		this.request = new AjaxController('../photos.json', null, this.processJSON);
	},
	processJSON : function(JSONObject){
		var photos = new Array();
		for(var i = 0; i < JSONObject.length; i++) {
			var photo = JSONObject[i];
			photos[i] = new Photo(photo['url'], photo['name'], photo['date'], photo['desc'], photo['author'], photo['type']);
		}
		PhotoviewerController.loadPhotos(photos);
	}
}